Katello - Feature #6781

Capsule: need method of restarting capsule services, akin to 'katello-services
07/25/2014 07:01 AM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Stephen Benjamin
Category: Foreman Proxy Content
Target version: Katello 2.2
Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1102878 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/518
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1102878

Description of problem:

When we want to restart a slew of services in sat6, we can use 'katello-services restart'. There does not appear to be a method of
easily doing this sort of thing for capsules.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140529.0
Steps to Reproduce:

1. Decide you want to try and restart capsule services
2. ?77?

Actual results:
no way.

Expected results:
Profit!
(or be able to easily restart capsule related services)

Additional info:

Related issues:
Related to Katello - Bug #6680: Capsule installer should be it's own RPM Resolved 07/17/2014
Has duplicate Katello - Bug #6681: need capsule-service utility installed w/ ... Duplicate 07/17/2014

Associated revisions

Revision 0860378 - 04/29/2015 09:46 AM - Stephen Benjamin

refs #6781 - install katello-service package

Revision 3e035bf0 - 04/29/2015 12:25 PM - Stephen Benjamin

fixes #6781 - provide a way to restart capsule services

Revision 89f2c7f9 - 04/29/2015 03:20 PM - Stephen Benjamin
Merge pull request #5181 from stbenjam/1102878

fixes #6781 - provide a way to restart capsule services

Revision 3f4aa625 - 05/04/2015 09:39 AM - Stephen Benjamin
Merge pull request #217 from stbenjam/6781

refs #6781 - install katello-service package
https://bugzilla.redhat.com/show_bug.cgi?id=1102878

History

#1 - 08/04/2014 11:00 PM - Eric Helms
- Target version set to 54
- Difficulty set to medium

- Triaged changed from No to Yes

#2 - 08/06/2014 07:34 AM - Eric Helms

- Has duplicate Bug #6681: need capsule-service utility installed w/ capsule added

#3 - 08/06/2014 07:35 AM - Eric Helms
- Related to Bug #6680: Capsule installer should be it's own RPM added

#4 - 08/18/2014 08:33 AM - Eric Helms

- Target version changed from 54 to 55

#5 - 09/08/2014 08:11 AM - Eric Helms

- Target version changed from 55 to 56

#6 - 09/08/2014 09:03 AM - Eric Helms
- Tracker changed from Bug to Feature

- translation missing: en.field_release set to 14

#7 - 09/17/2014 11:14 AM - Eric Helms

- Status changed from New to Needs design

#8 - 09/27/2014 12:38 PM - Eric Helms

- Target version changed from 56 to 58

#9 - 09/29/2014 08:19 AM - Eric Helms
- Target version deleted (58)

#10 - 01/05/2015 02:14 PM - Eric Helms

- translation missing: en.field_release changed from 14 to 23

#11 - 02/10/2015 02:18 PM - Eric Helms

- translation missing: en.field_release changed from 23 to 31

#12 - 02/13/2015 12:05 PM - Eric Helms

- translation missing: en.field_release deleted (31)

#13 - 04/16/2015 06:26 AM - The Foreman Bot

- Status changed from Needs design to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/5181 added
- Pull request deleted ()

#14 - 04/29/2015 04:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|3e035bf0e6d7623a825bbdf586f330f5021c8e3f.

#15 - 05/04/2015 02:44 PM - Eric Helms

- translation missing: en.field_release set to 23
